add some utility scripts and update the playbook to verify API connectitivy and image download
Change-Id: I007a2aef68f5c60a4c809cd711aff4d18d87efb9
diff --git a/roles/compute-node/files/docker-ip b/roles/compute-node/files/docker-ip
new file mode 100755
index 0000000..4e678bb
--- /dev/null
+++ b/roles/compute-node/files/docker-ip
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+test $# -ne 1 && echo "must specify the name of a container" && exit 1
+
+IP=$(docker inspect --format '{{.NetworkSettings.IPAddress}}' $1)
+
+if [ "$IP x" == " x" ]; then
+ IP=$(docker inspect --format '{{.NetworkSettings.Networks.maas_default.IPAddress}}' $1)
+fi
+
+/bin/echo -ne $IP